Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Error: Invalid Version Specified Rate Topic   * * * * * 1 votes

 
  • dvsgr
  • Senior Member
  • Authorized Reseller
  • Join Date: 14-Apr 09
  • 1448 posts

Posted 29 August 2016 - 09:57 PM #1

I have been seeing this lots of times lately.

 

When opening a product page I get the message

 

Error: invalid version specified

 

in a red box and white page.

 

qsmjq8.jpg

 

Well it looks like the Social Buttons Addon is having an issue with Facebook javascript.

 

so to the file

responsive / templates / addons / social_buttons / providers / facebook.tpl

 

at line 10 add &version=v2.7 jsut after the &appId={$addons.social_buttons.facebook_app_id}

 $.getScript("//connect.facebook.net/{$addons.social_buttons.facebook_lang}/all.js#xfbml=1&appId={$addons.social_buttons.facebook_app_id}&version=v2.7", function () {

Clean your store cache an reload. Should be ok now.

 

It looks like the template on Like button is incomplete; upon clicking on the "Get Code" button Facebook will generate you a complete template with the version parameter included.

 

Hope this helps someone with the same trouble I had.

 

Fotis


Fotis Kourmadas
Cs-Cart Development - Cs-Cart Authorized Reseller